Assessment Groups
Remove users from an Assessment Group
Removes one or more users from an Assessment Group.
Maximum 100 user IDs per request.
POST
/
v1
/
assessment-groups
/
{assessmentGroupId}
/
members
/
batchRemove
Remove users from an Assessment Group
curl --request POST \
--url https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members/batchRemove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userUids": [
"u_5f3c8b2a",
"u_9e1d4f0c",
"u_2a7b6c4d"
]
}
'import requests
url = "https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members/batchRemove"
payload = { "userUids": ["u_5f3c8b2a", "u_9e1d4f0c", "u_2a7b6c4d"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({userUids: ['u_5f3c8b2a', 'u_9e1d4f0c', 'u_2a7b6c4d']})
};
fetch('https://client.synack.com/api/assessment/v1/assessment-groups/{assessmentGroupId}/members/batchRemove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"userUid": "<string>",
"errorDetail": "<string>"
}
],
"metadata": {
"processedAt": "2023-11-07T05:31:56Z",
"counts": {
"added": 1,
"removed": 1,
"noop": 1,
"error": 1
}
}
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}{
"status": 123,
"title": "<string>",
"type": "https://errors.synack.com/assessment/group-not-found",
"detail": "<string>",
"instance": "<string>",
"logId": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Numeric identifier of the Assessment Group.
Required range:
x >= 1Body
application/json
Required array length:
1 - 100 elementsRequired string length:
1 - 64Pattern:
^[a-zA-Z0-9_-]+$⌘I
Remove users from an Assessment Group
